package com.ecep.contract.controller.table.cell;

import com.ecep.contract.SpringApp;
import com.ecep.contract.model.Bank;
import com.ecep.contract.service.BankService;
import com.ecep.contract.service.IEntityService;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public class BankTableCell<T> extends AsyncUpdateTableCell<T, Bank> {
    public BankTableCell(BankService service) {
        setService(service);
    }

    @Override
    protected IEntityService<Bank> getServiceBean() {
        return SpringApp.getBean(BankService.class);
    }


}
